Subject: Re: Question for perl gurus: what creates /bin/{HEAD|GET|POST}?
From: "Gerrit P. Haase" <[email-masked]>
To: "Max Bowsher" <[email-masked]>
Cc: [email-masked]
Date: Mon, 30 Sep 2002 14:43:04 +0200

Max schrieb:

> Max Bowsher wrote:
>> I have found the problem! If an alternate perl library directory is passed
> like
>> so:
>> $ perl Makefile.PL LIB=/opt/perl5lib
>>
>> Then LWP's Makefile.PL fails to ask the questions.
>>
>> So the answer is to fix Makefile.PL.

> The following 1 line patch fixes the problem. Anyone familiar with LWP patch
> procedures? Otherwise, I'll go and subscribe to YAML :-)

All the LWP developers are subscribed at least to [email-masked],
I think you don't need to be a subscriber to post there, I get all
the postings twice or more times since it is usual there to hit
reply-all.  So if smeone posts to perl5-porters and libwww the
makemaker list and CC's to me personally I get the message four times :-\

> --- Makefile.PL.orig 2002-05-31 21:51:03.000000000 +0100
> +++ Makefile.PL 2002-09-29 22:26:08.000000000 +0100
> @@ -22,7 +22,7 @@
>  unless (getopts("n")) {
>      die "Usage: $0 [-n]\n";
>  }
> -@programs_to_install = () if $opt_n || grep /^LIB=/, @ARGV;
> +@programs_to_install = @request_aliases = () if $opt_n || grep /^LIB=/, @ARGV;

>  # Check if we should try to run the live tests
>  open(CHANGES, "Changes") || die "Can't open Changes: $!";

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/